%define name	perl-Tie-DBI
%define version	0.86
%define release	2mdk

Summary:	Pod-POM module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Tie-DBI-%{version}.tar.bz2
Url:		http://www.cpan.org
Requires:	perl >= 0:5.600
BuildRequires:	perl >= 0:5.600
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
Tie-DBI module for perl

%prep
%setup -q -n Tie-DBI-%{version} 

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
make PREFIX=%{buildroot}%{_prefix} install

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}
%{_mandir}/*/*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.86-2mdk
- build release

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.86-1mdk
- initial cooker contrib.

